Include ( ..\includes\590Point.inc )
Bitmap( brvs391.pat 0 0 0 0 )
BitmapMode(1)
; front walls of cars

TexPoly( a 
158 0 237
159 0 201
160 5 198
161 15 198
162 20 201
163 20 237
)

; begin loco SNCB63

mif( [ $FS2000 <= 0 ] )

 Bitmap( SNCB63.r8 0 0 0 0 )
 BitmapMode(1)
 include( ..\includes\eng590.inc )
 Bitmap( brvs391.pat 0 0 0 0 )
 BitmapMode(1)
 include( ..\includes\tex500.inc )

melse 		; if FS2000

  IfVarAnd( :NI590 028C 01 ) ;daytime, no problem
    Bitmap( SNCB63.r8 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\eng590.inc )  ; draw engine
    Bitmap( brvs391.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\tex500.inc )	; draw cars
    Jump( :done590 ) ;skip night action

  :NI590   ;dawn, night or dusk...

  mif( [ $61 <= 0 ] ) ; not lighted
    Bitmap( SNCB63n.r8 0 0 0 0 ) ;dark version of loco
    include( ..\includes\sheng590.inc ) 
    Bitmap( brvs219.pat 0 0 0 0 ) ;dark version of cars
    BitmapMode(1)
    include( ..\includes\shtex500.inc )
    BitmapMode(0)
    Jump( :done590 ) ; skip other night action

  melse  ; we have a lighting: use a bug in FS2K;
	 ; 	ShadedPolys stay lighted when standard points are used
    Bitmap( SNCB63.r8 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\sheng590.inc ) ;constant day illumination
    Bitmap( brvs391.pat 0 0 0 0 )
    BitmapMode(1)
    include( ..\includes\shtex500.inc ) ;constant day illumination

  mifend  ;lighting?

  :done590 ; target for daytime, or night + not lighted

mifend  ;FS98/2K

; end loco 

BitmapMode(0)
