mif( [ $var >= 1  ] )
IfVarAnd( :dnowri595e 31c 0x0001 )
Uvar( $b1 int[ 366 * 366 / [2*$rad]  ])
Uvar( $b2 int[ 335 * 335 / [2*$rad] ])
Uvar( $b3 int[ 304 * 304 / [2*$rad] ])

;SNCB Diesel series 63; 17m long, 3.6m wide,  4.5m high

Points( 201

; west side
[ $left + $b3+5 ] $level   	301 ;01
[ $left + $b3+5 ] $level+5 	301 ;02
[ $left + $b3 	] $level+5 	306 ;03
[ $left + $b3 	] $level+14   	306 ;04
[ $left + $b1	] $level+14	364 ;05
[ $left + $b1	] $level+5	364 ;06
[ $left + $b1+5	] $level+5	369 ;07
[ $left + $b1+5	] $level		369 ;08
[ $left + $b2	] $level+14	335 ;09
[ $left + $b2	] $level		335 ;10
[ $left + $b2	] $level+5	335 ;11
[ $left + $b3	] $level+14	310 ;12
[ $left + $b3	] $level+5	310 ;13
[ $left + $b3	] $level+10	306 ;14
[ $left + $b3	] $level		306 ;15
[ $left + $b3+2	] $level+17	308 ;16
[ $left + $b2+2 ] $level+17	335 ;17
[ $left + $b1+2	] $level+17	362 ;18
[ $left + $b1   ] $level		364 ;19
[ $left + $b3+3	] $level+2	302 ;20
;east side
[ $left + $b3+9  ] $level   	301 ;21
[ $left + $b3+9  ] $level+5 	301 ;22
[ $left + $b3+14 ] $level+5 	306 ;23
[ $left + $b3+14 ] $level+14   	306 ;24
[ $left + $b1+14 ] $level+14	364 ;25
[ $left + $b1+14 ] $level+5	364 ;26
[ $left + $b1+9 ] $level+5	369 ;27
[ $left + $b1+9	] $level		369 ;28
[ $left + $b2+14 ] $level+14	335 ;29
[ $left + $b2+14 ] $level		335 ;30
[ $left + $b2+14 ] $level+5	335 ;31
[ $left + $b1+14 ] $level+14	360 ;32
[ $left + $b1+14 ] $level+5	360 ;33
[ $left + $b3+14 ] $level+10	306 ;34
[ $left + $b3+14 ] $level		306 ;35
[ $left + $b3+12 ] $level+17	308 ;36
[ $left + $b2+12 ] $level+17	335 ;37
[ $left + $b1+12 ] $level+17	362 ;38
[ $left + $b1+14 ] $level		364 ;39
[ $left + $b3+11 ] $level+2	302 ;40

;N. bumper, mirror to pts 220/240
[ $left + $b1+11 ] $level+2	368 ;41
[ $left + $b1+3  ] $level+2	368 ;42
)

; south side
VecPoints(p 301
[ $left + $b3+3  ] $level+5	303	00 203 ;1
[ $left + $b3+3	 ] $level+10	303 	25 203 ;2
[ $left + $b3+11  ] $level+10	303 	25 157 ;3
[ $left + $b3+11  ] $level+5	303 	00 157 ;4
[ $left + $b3	 ] $level+14	306	45 240 ;5
[ $left + $b3+14 ] $level+14	306	45 120 ;6
[ $left + $b3	 ] $level+10	306	00 270 ;7
[ $left + $b3	 ] $level+5	306	00 270 ;8
[ $left + $b3+14 ] $level+10	306	00 090 ;9
[ $left + $b3+14 ] $level+5	306	00 090 ;10
; north side
[ $left + $b1+11 ] $level+5	367	00 023 ;11
[ $left + $b1+11 ] $level+10	367 	25 023 ;12
[ $left + $b1+3  ] $level+10	367 	25 337 ;13
[ $left + $b1+3  ] $level+5	367 	00 337 ;14
[ $left + $b1+14 ] $level+14	364	45 060 ;15
[ $left + $b1    ] $level+14	364	45 300 ;16
[ $left + $b1+14 ] $level+10	364	00 090 ;17
[ $left + $b1+14 ] $level+5	364	00 090 ;18
[ $left + $b1	 ] $level+10	364	00 270 ;19
[ $left + $b1	 ] $level+5	364	00 270 ;20

; roof
[ $left + $b3+7	 ] $level+18	310	85 180 ;21
[ $left + $b1+7  ] $level+18	360	85 000 ;22
[ $left + $b3+2	 ] $level+17	308	35 225 ;23
[ $left + $b3+12 ] $level+17	308	35 135 ;24
[ $left + $b1+12 ] $level+17	362	35 045 ;25
[ $left + $b1+2  ] $level+17	362	35 315 ;26
)

; same as above 300 but standard points for night texture.
; This means several of these points are duplicated in the 
; 200 series, (example 335 and 204 are identical)
; this is for ease of implementation and updates

; south side
Points( 401
[ $left + $b3+3  ] $level+5	303	 ;1
[ $left + $b3+3	 ] $level+10	303 	 ;2
[ $left + $b3+11  ] $level+10	303 	 ;3
[ $left + $b3+11  ] $level+5	303 	 ;4
[ $left + $b3	 ] $level+14	306	 ;5
[ $left + $b3+14 ] $level+14	306	 ;6
[ $left + $b3	 ] $level+10	306	 ;7
[ $left + $b3	 ] $level+5	306	 ;8
[ $left + $b3+14 ] $level+10	306	 ;9
[ $left + $b3+14 ] $level+5	306	 ;10
[ $left + $b1+11 ] $level+5	367	 ;11
[ $left + $b1+11 ] $level+10	367 	 ;12
[ $left + $b1+3  ] $level+10	367 	 ;13
[ $left + $b1+3  ] $level+5	367 	 ;14
[ $left + $b1+14 ] $level+14	364	 ;15
[ $left + $b1    ] $level+14	364	 ;16
[ $left + $b1+14 ] $level+10	364	 ;17
[ $left + $b1+14 ] $level+5	364	 ;18
[ $left + $b1	 ] $level+10	364	 ;19
[ $left + $b1	 ] $level+5	364	 ;20

; roof
[ $left + $b3+7	 ] $level+18	310	 ;21
[ $left + $b1+7  ] $level+18	360	 ;22
[ $left + $b3+2	 ] $level+17	308	 ;23
[ $left + $b3+12 ] $level+17	308	 ;24
[ $left + $b1+12 ] $level+17	362	 ;25
[ $left + $b1+2  ] $level+17	362	 ;26
)
jump( :dend595e  )
:dnowri595e 
Uvar( $b1 -int[ 366 * 366 / [2*$rad]  ])
Uvar( $b2 -int[ 335 * 335 / [2*$rad] ])
Uvar( $b3 -int[ 304 * 304 / [2*$rad] ])

;SNCB Diesel series 63; 17m long, 3.6m wide,  4.5m high

Points( 201

; west side
[ $left + $b3+5 ] $level   	301 ;01
[ $left + $b3+5 ] $level+5 	301 ;02
[ $left + $b3 	] $level+5 	306 ;03
[ $left + $b3 	] $level+14   	306 ;04
[ $left + $b1	] $level+14	364 ;05
[ $left + $b1	] $level+5	364 ;06
[ $left + $b1+5	] $level+5	369 ;07
[ $left + $b1+5	] $level		369 ;08
[ $left + $b2	] $level+14	335 ;09
[ $left + $b2	] $level		335 ;10
[ $left + $b2	] $level+5	335 ;11
[ $left + $b3	] $level+14	310 ;12
[ $left + $b3	] $level+5	310 ;13
[ $left + $b3	] $level+10	306 ;14
[ $left + $b3	] $level		306 ;15
[ $left + $b3+2	] $level+17	308 ;16
[ $left + $b2+2 ] $level+17	335 ;17
[ $left + $b1+2	] $level+17	362 ;18
[ $left + $b1   ] $level		364 ;19
[ $left + $b3+3	] $level+2	302 ;20
;east side
[ $left + $b3+9  ] $level   	301 ;21
[ $left + $b3+9  ] $level+5 	301 ;22
[ $left + $b3+14 ] $level+5 	306 ;23
[ $left + $b3+14 ] $level+14   	306 ;24
[ $left + $b1+14 ] $level+14	364 ;25
[ $left + $b1+14 ] $level+5	364 ;26
[ $left + $b1+9 ] $level+5	369 ;27
[ $left + $b1+9	] $level		369 ;28
[ $left + $b2+14 ] $level+14	335 ;29
[ $left + $b2+14 ] $level		335 ;30
[ $left + $b2+14 ] $level+5	335 ;31
[ $left + $b1+14 ] $level+14	360 ;32
[ $left + $b1+14 ] $level+5	360 ;33
[ $left + $b3+14 ] $level+10	306 ;34
[ $left + $b3+14 ] $level		306 ;35
[ $left + $b3+12 ] $level+17	308 ;36
[ $left + $b2+12 ] $level+17	335 ;37
[ $left + $b1+12 ] $level+17	362 ;38
[ $left + $b1+14 ] $level		364 ;39
[ $left + $b3+11 ] $level+2	302 ;40

;N. bumper, mirror to pts 220/240
[ $left + $b1+11 ] $level+2	368 ;41
[ $left + $b1+3  ] $level+2	368 ;42
)

; south side
VecPoints(p 301
[ $left + $b3+3  ] $level+5	303	00 203 ;1
[ $left + $b3+3	 ] $level+10	303 	25 203 ;2
[ $left + $b3+11  ] $level+10	303 	25 157 ;3
[ $left + $b3+11  ] $level+5	303 	00 157 ;4
[ $left + $b3	 ] $level+14	306	45 240 ;5
[ $left + $b3+14 ] $level+14	306	45 120 ;6
[ $left + $b3	 ] $level+10	306	00 270 ;7
[ $left + $b3	 ] $level+5	306	00 270 ;8
[ $left + $b3+14 ] $level+10	306	00 090 ;9
[ $left + $b3+14 ] $level+5	306	00 090 ;10
; north side
[ $left + $b1+11 ] $level+5	367	00 023 ;11
[ $left + $b1+11 ] $level+10	367 	25 023 ;12
[ $left + $b1+3  ] $level+10	367 	25 337 ;13
[ $left + $b1+3  ] $level+5	367 	00 337 ;14
[ $left + $b1+14 ] $level+14	364	45 060 ;15
[ $left + $b1    ] $level+14	364	45 300 ;16
[ $left + $b1+14 ] $level+10	364	00 090 ;17
[ $left + $b1+14 ] $level+5	364	00 090 ;18
[ $left + $b1	 ] $level+10	364	00 270 ;19
[ $left + $b1	 ] $level+5	364	00 270 ;20

; roof
[ $left + $b3+7	 ] $level+18	310	85 180 ;21
[ $left + $b1+7  ] $level+18	360	85 000 ;22
[ $left + $b3+2	 ] $level+17	308	35 225 ;23
[ $left + $b3+12 ] $level+17	308	35 135 ;24
[ $left + $b1+12 ] $level+17	362	35 045 ;25
[ $left + $b1+2  ] $level+17	362	35 315 ;26
)

; same as above 300 but standard points for night texture.
; This means several of these points are duplicated in the 
; 200 series, (example 335 and 204 are identical)
; this is for ease of implementation and updates

; south side
Points( 401
[ $left + $b3+3  ] $level+5	303	 ;1
[ $left + $b3+3	 ] $level+10	303 	 ;2
[ $left + $b3+11  ] $level+10	303 	 ;3
[ $left + $b3+11  ] $level+5	303 	 ;4
[ $left + $b3	 ] $level+14	306	 ;5
[ $left + $b3+14 ] $level+14	306	 ;6
[ $left + $b3	 ] $level+10	306	 ;7
[ $left + $b3	 ] $level+5	306	 ;8
[ $left + $b3+14 ] $level+10	306	 ;9
[ $left + $b3+14 ] $level+5	306	 ;10
[ $left + $b1+11 ] $level+5	367	 ;11
[ $left + $b1+11 ] $level+10	367 	 ;12
[ $left + $b1+3  ] $level+10	367 	 ;13
[ $left + $b1+3  ] $level+5	367 	 ;14
[ $left + $b1+14 ] $level+14	364	 ;15
[ $left + $b1    ] $level+14	364	 ;16
[ $left + $b1+14 ] $level+10	364	 ;17
[ $left + $b1+14 ] $level+5	364	 ;18
[ $left + $b1	 ] $level+10	364	 ;19
[ $left + $b1	 ] $level+5	364	 ;20

; roof
[ $left + $b3+7	 ] $level+18	310	 ;21
[ $left + $b1+7  ] $level+18	360	 ;22
[ $left + $b3+2	 ] $level+17	308	 ;23
[ $left + $b3+12 ] $level+17	308	 ;24
[ $left + $b1+12 ] $level+17	362	 ;25
[ $left + $b1+2  ] $level+17	362	 ;26
)
:dend595e
melse
Points( 201

; west side
$left+5 $level   	301 ;01
$left+5 $level+5 	301 ;02
$left 	$level+5 	306 ;03
$left 	$level+14   	306 ;04
$left	$level+14	364 ;05
$left	$level+5	364 ;06
$left+5	$level+5	369 ;07
$left+5	$level		369 ;08
$left	$level+14	335 ;09
$left	$level		335 ;10
$left	$level+5	335 ;11
$left	$level+14	310 ;12
$left	$level+5	310 ;13
$left	$level+10	306 ;14
$left	$level		306 ;15
$left+2	$level+17	308 ;16
$left+2 $level+17	335 ;17
$left+2	$level+17	362 ;18
$left   $level		364 ;19
$left+3	$level+2	302 ;20
;east side
$left+9  $level   	301 ;21
$left+9  $level+5 	301 ;22
$left+14 $level+5 	306 ;23
$left+14 $level+14   	306 ;24
$left+14 $level+14	364 ;25
$left+14 $level+5	364 ;26
$left+9 $level+5	369 ;27
$left+9	$level		369 ;28
$left+14 $level+14	335 ;29
$left+14 $level		335 ;30
$left+14 $level+5	335 ;31
$left+14 $level+14	360 ;32
$left+14 $level+5	360 ;33
$left+14 $level+10	306 ;34
$left+14 $level		306 ;35
$left+12 $level+17	308 ;36
$left+12 $level+17	335 ;37
$left+12 $level+17	362 ;38
$left+14 $level		364 ;39
$left+11 $level+2	302 ;40

;N. bumper, mirror to pts 220/240
$left+11 $level+2	368 ;41
$left+3  $level+2	368 ;42
)

; south side
VecPoints(p 301
$left+3  $level+5	303	00 203 ;1
$left+3	 $level+10	303 	25 203 ;2
$left+11  $level+10	303 	25 157 ;3
$left+11  $level+5	303 	00 157 ;4
$left	 $level+14	306	45 240 ;5
$left+14 $level+14	306	45 120 ;6
$left	 $level+10	306	00 270 ;7
$left	 $level+5	306	00 270 ;8
$left+14 $level+10	306	00 090 ;9
$left+14 $level+5	306	00 090 ;10
; north side
$left+11 $level+5	367	00 023 ;11
$left+11 $level+10	367 	25 023 ;12
$left+3  $level+10	367 	25 337 ;13
$left+3  $level+5	367 	00 337 ;14
$left+14 $level+14	364	45 060 ;15
$left    $level+14	364	45 300 ;16
$left+14 $level+10	364	00 090 ;17
$left+14 $level+5	364	00 090 ;18
$left	 $level+10	364	00 270 ;19
$left	 $level+5	364	00 270 ;20

; roof
$left+7	 $level+18	310	85 180 ;21
$left+7  $level+18	360	85 000 ;22
$left+2	 $level+17	308	35 225 ;23
$left+12 $level+17	308	35 135 ;24
$left+12 $level+17	362	35 045 ;25
$left+2  $level+17	362	35 315 ;26
)

; same as above 300 but standard points for night texture.
; This means several of these points are duplicated in the 
; 200 series, (example 335 and 204 are identical)
; this is for ease of implementation and updates

; south side
Points( 401
$left+3  $level+5	303	 ;1
$left+3	 $level+10	303 	 ;2
$left+11  $level+10	303 	 ;3
$left+11  $level+5	303 	 ;4
$left	 $level+14	306	 ;5
$left+14 $level+14	306	 ;6
$left	 $level+10	306	 ;7
$left	 $level+5	306	 ;8
$left+14 $level+10	306	 ;9
$left+14 $level+5	306	 ;10
$left+11 $level+5	367	 ;11
$left+11 $level+10	367 	 ;12
$left+3  $level+10	367 	 ;13
$left+3  $level+5	367 	 ;14
$left+14 $level+14	364	 ;15
$left    $level+14	364	 ;16
$left+14 $level+10	364	 ;17
$left+14 $level+5	364	 ;18
$left	 $level+10	364	 ;19
$left	 $level+5	364	 ;20

; roof
$left+7	 $level+18	310	 ;21
$left+7  $level+18	360	 ;22
$left+2	 $level+17	308	 ;23
$left+12 $level+17	308	 ;24
$left+12 $level+17	362	 ;25
$left+2  $level+17	362	 ;26
)
mifend